summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Shvetsov <alexxy@gentoo.org>2019-04-07 21:39:20 +0300
committerAlexey Shvetsov <alexxy@gentoo.org>2019-04-07 21:39:47 +0300
commiteb2020b21634a37001eba2c02892a1dfc2d71163 (patch)
tree4799964e0474ce6287d55ab3f0ae95cbe19696ad /sci-electronics
parentdev-lang/perl: Add missing PERL_BIN_OLDVERSEN (diff)
downloadgentoo-eb2020b21634a37001eba2c02892a1dfc2d71163.tar.gz
gentoo-eb2020b21634a37001eba2c02892a1dfc2d71163.tar.bz2
gentoo-eb2020b21634a37001eba2c02892a1dfc2d71163.zip
sci-electronics/kicad: Update deps to glm
Package-Manager: Portage-2.3.62, Repoman-2.3.12 Signed-off-by: Alexey Shvetsov <alexxy@gentoo.org>
Diffstat (limited to 'sci-electronics')
-rw-r--r--sci-electronics/kicad/kicad-5.0.1.ebuild5
-rw-r--r--sci-electronics/kicad/kicad-5.1.0.ebuild5
2 files changed, 8 insertions, 2 deletions
diff --git a/sci-electronics/kicad/kicad-5.0.1.ebuild b/sci-electronics/kicad/kicad-5.0.1.ebuild
index 699ca42f0b7..26004119549 100644
--- a/sci-electronics/kicad/kicad-5.0.1.ebuild
+++ b/sci-electronics/kicad/kicad-5.0.1.ebuild
@@ -30,7 +30,10 @@ COMMON_DEPEND=">=x11-libs/wxGTK-3.0.2:${WX_GTK_VER}[X,opengl]
>=dev-libs/boost-1.61[context,nls,threads,python?,${PYTHON_USEDEP}]
github? ( net-misc/curl:=[ssl] )
media-libs/glew:0=
- <=media-libs/glm-0.9.9.2
+ || (
+ <=media-libs/glm-0.9.9.2
+ >=media-libs/glm-0.9.9.4
+ )
media-libs/freeglut
media-libs/mesa
ngspice? (
diff --git a/sci-electronics/kicad/kicad-5.1.0.ebuild b/sci-electronics/kicad/kicad-5.1.0.ebuild
index 962d8c8392a..ab98e009728 100644
--- a/sci-electronics/kicad/kicad-5.1.0.ebuild
+++ b/sci-electronics/kicad/kicad-5.1.0.ebuild
@@ -31,7 +31,10 @@ COMMON_DEPEND=">=x11-libs/wxGTK-3.0.2:${WX_GTK_VER}[X,opengl]
>=dev-libs/boost-1.61[context,nls,threads,python?,${PYTHON_USEDEP}]
github? ( net-misc/curl:=[ssl] )
media-libs/glew:0=
- <=media-libs/glm-0.9.9.2
+ || (
+ <=media-libs/glm-0.9.9.2
+ >=media-libs/glm-0.9.9.4
+ )
media-libs/freeglut
media-libs/mesa
ngspice? (